org.eclipse.emf.cdo.security

## Interface ObjectFilter

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Notifier, PermissionFilter
  All Known Subinterfaces:
    ExpressionFilter
  All Known Implementing Classes:
    ExpressionFilterImpl, ObjectFilterImpl

      public interface ObjectFilter
      extends PermissionFilter

  A representation of the model object 'Object Filter'.
  Since:
    4.3
  See Also:
    `SecurityPackage.getObjectFilter()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

      `format, isApplicable, isImpacted`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html